# uddi2__tModelList Class Reference

Schema urn:uddi-org:api_v2:"tModelList". More...

`#include <uddi_v2.h>`

Collaboration diagram for uddi2__tModelList:

[legend]
List of all members.

## Public Attributes

uddi2__tModelInfos * | tModelInfos
| Element reference "urn:uddi-org:api_v2":tModelInfos.
char * | generic
| Attribute generic of type xs:string.
char * | operator_
| Attribute operator of type xs:string.
enum uddi2__truncated * | truncated
| Attribute truncated of type "urn:uddi-org:api_v2":truncated.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"tModelList".

## Member Data Documentation

char* uddi2__tModelList::generic

| Attribute generic of type xs:string. Required attribute

char* uddi2__tModelList::operator_

| Attribute operator of type xs:string. Required attribute

struct soap* uddi2__tModelList::soap

| A handle to the soap struct context that manages this class instance.

uddi2__tModelInfos* uddi2__tModelList::tModelInfos

| Element reference "urn:uddi-org:api_v2":tModelInfos. Required element

enum uddi2__truncated* uddi2__tModelList::truncated

| Attribute truncated of type "urn:uddi-org:api_v2":truncated. Optional attribute

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h